% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/select_utilities.R
\name{.formula_list_to_named_list}
\alias{.formula_list_to_named_list}
\title{Convert formula selector to a named list}
\usage{
.formula_list_to_named_list(
  x,
  data = NULL,
  var_info = NULL,
  arg_name = NULL,
  select_single = FALSE
)
}
\arguments{
\item{x}{list of selecting formulas}

\item{data}{A data frame to select columns from. Default is NULL}

\item{var_info}{A data frame of variable names and attributes. May also pass
a character vector of variable names. Default is NULL}

\item{arg_name}{Optional string indicating the source argument name. This
helps in the error messaging. Default is NULL.}

\item{select_single}{Logical indicating whether the result must be a single
variable. Default is \code{FALSE}}
}
\description{
Functions takes a list of formulas, e.g. \code{list(starts_with("age") ~ "continuous")},
and returns a named list, e.g. \code{list(age = "continuous")}.
}
